org.eclnt.jsfserver.defaultscreens

## Class Wizard

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.Wizard

- All Implemented Interfaces:
    java.io.Serializable

      public class Wizard
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `Wizard.IWizardLogicProvider` Logic that is serving the wizard processing.
    `static interface` | `Wizard.IWizardPageInfo` One page within the wizard.
    `class` | `Wizard.MyRow`
    `static class` | `Wizard.WizardPageInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wizard()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAvoidGridNavigation()`
    `java.lang.String` | `getContentReplace()`
    `Wizard.IWizardPageInfo` | `getCurrentPageInfo()`
    `boolean` | `getEnabledFinish()`
    `boolean` | `getEnabledNext()`
    `boolean` | `getEnabledPrevious()`
    `java.lang.String` | `getIconCancel()`
    `java.lang.String` | `getIconDisabled()`
    `java.lang.String` | `getIconFinish()`
    `java.lang.String` | `getIconNext()`
    `java.lang.String` | `getIconPrevious()`
    `static Wizard` | `getInstance()`
    `java.lang.String` | `getPageName()`
    `boolean` | `getRenderedDistance()`
    `boolean` | `getRenderedFinish()`
    `boolean` | `getRenderedNext()`
    `boolean` | `getRenderedPrevious()`
    `FIXGRIDListBinding<Wizard.MyRow>` | `getRows()`
    `java.lang.String` | `getTextCancel()`
    `java.lang.String` | `getTextFinish()`
    `java.lang.String` | `getTextNext()`
    `java.lang.String` | `getTextPrevious()`
    `void` | `onCancel(ActionEvent ae)`
    `void` | `onFinish(ActionEvent ae)`
    `void` | `onNext(ActionEvent ae)`
    `void` | `onPrevious(ActionEvent ae)`
    `void` | `prepare(Wizard.IWizardLogicProvider logic)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Wizard

          public Wizard()

  - ### Method Detail

    - #### getInstance

          public static Wizard getInstance()

    - #### getPageName

          public java.lang.String getPageName()

    - #### getContentReplace

          public java.lang.String getContentReplace()

    - #### getRows

          public FIXGRIDListBinding<Wizard.MyRow> getRows()

    - #### getAvoidGridNavigation

          public boolean getAvoidGridNavigation()

    - #### getEnabledPrevious

          public boolean getEnabledPrevious()

    - #### getEnabledNext

          public boolean getEnabledNext()

    - #### getEnabledFinish

          public boolean getEnabledFinish()

    - #### getRenderedPrevious

          public boolean getRenderedPrevious()

    - #### getRenderedNext

          public boolean getRenderedNext()

    - #### getRenderedFinish

          public boolean getRenderedFinish()

    - #### getRenderedDistance

          public boolean getRenderedDistance()

    - #### prepare

          public void prepare(Wizard.IWizardLogicProvider logic)

    - #### onNext

          public void onNext(ActionEvent ae)

    - #### onPrevious

          public void onPrevious(ActionEvent ae)

    - #### onCancel

          public void onCancel(ActionEvent ae)

    - #### onFinish

          public void onFinish(ActionEvent ae)

    - #### getCurrentPageInfo

          public Wizard.IWizardPageInfo getCurrentPageInfo()

    - #### getTextPrevious

          public java.lang.String getTextPrevious()

    - #### getTextNext

          public java.lang.String getTextNext()

    - #### getTextFinish

          public java.lang.String getTextFinish()

    - #### getTextCancel

          public java.lang.String getTextCancel()

    - #### getIconPrevious

          public java.lang.String getIconPrevious()

    - #### getIconNext

          public java.lang.String getIconNext()

    - #### getIconFinish

          public java.lang.String getIconFinish()

    - #### getIconCancel

          public java.lang.String getIconCancel()

    - #### getIconDisabled

          public java.lang.String getIconDisabled()

Copyright © CaptainCasa Gmbh. All Rights Reserved.